package com.bofeng;

import org.joda.time.format.DateTimeFormat;
import org.joda.time.format.DateTimeFormatter;

public interface Consts {

    String ACT_ENABLE = "Y";
    String ACT_DISABLE = "N";
    String ACT_DELETE = "D";

    String PAID_NO = "0";
    String PAID_YSE = "Y";

    String SETTLE_NO = "N";
    String SETTLE_YSE = "Y";

    String USER_TYPE_SALE = "S";

    String USER_TYPE_L1 = "1";
    String USER_TYPE_L2 = "2";
    String USER_TYPE_ADMIN = "A";
    String USER_TYPE_CASHIER = "C";
    String USER_TYPE_WORKER = "W";

    DateTimeFormatter DB_DATETIME_FMT = DateTimeFormat.forPattern("YYYY-MM-DD HH:mm:ss.0").withOffsetParsed();

    String[] NOT_SECURITY_PATHS = {
            "/domain",
            "/ok",
            "/static/**",
            "/v2/**",
            "/error/**",
            "/swagger-resources/**",
            "/**/*.htm",
            "/dev/**",
            "/user/**",
            "/error/**",
            "/**/*.jpg",
            "/**/*.css",
            "/**/*.jpeg",
            "/**/*.js",
            "/**/*.png",
            "/**/*.gif",
            "/**/*.ico",
            "/**/*.map"
    };

    String[] NOT_ECHO_PATHS = {
            "/static/**",
            "/v2/**",
            "/error/**",
            "/swagger-resources/**",
            "*.jpg",
            "*.css",
            "*.jpeg",
            "*.js",
            "*.png",
            "*.gif",
            "*.ico",
            "*.map"
    };

    String COOKIE_WH_ID = "wh_id";
}
