package com.bofeng.entity;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import org.joda.time.DateTime;

/**
 * qz_task
 * @author 
 */
@Data
public class QzTask implements Serializable {
    /**
     * 求助任务ID
     */
    private Long taskId;

    /**
     * 求助对象：A业委会，B居委会，C物业，D志愿者
     */
    private String taskTarget;

    /**
     * 求助状态：1未解决，2处理中，3已处理
     */
    private Integer taskStatus;

    /**
     * 求助标题
     */
    private String taskTitle;

    /**
     * 备注
     */
    private String remark;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 门牌号
     */
    private String houseNumber;

    /**
     * 门牌号ID
     */
    private Long houseId;

    /**
     * 小区id
     */
    private Long uptownId;

    /**
     * 新增人
     */
    private Long userCreate;

    /**
     * 新增时间
     */
    private DateTime timeCreate;

    /**
     * 修改人
     */
    private Long userUpdate;

    /**
     * 修改时间
     */
    private DateTime timeUpdate;

    private static final long serialVersionUID = 1L;
}